;-------------------------- ORIGINAL: prop1.pro --------------------------------
;
;  Plot of ...................................................... 
;  ..............................................................
;  Data calculated by APP.x (Ron Kriz 7-23-00 Virginia Tech)
;
  pro prop1 
;
; !!!! SET_PLOT TO PIXEL MAP AVOIDS OPENING X-WINDOW DISPLAY !!!!
; Otherwise "Unable to open X Windows display" error is generated.
;
  set_plot,'pm'
;
;  Plot and Store legend of lines for different Fiber Volume Fractions
;
  openw,2,'prop1_legend.byt'
  leg=assoc(2,bytarr(XXX,YYY))
;
;
  !X.Style=4 & !Y.Style=4 & TEK_COLOR
  openzbuff,480,560
  plot,A,B,xrange=[,],yrange=[,], $

  leg(0)=tvrd(0,0,XXX,YYY)
; Close z-buffer and create "jpeg" image
  closezbuff,'g23legend.jpg'
  close,2 & close,3
;
;  Plot prop1 diagram 
;
  pi=acos(-1.)
;               Read in legend
  openr,4,'prop1_legend.byt'
  leg=bytarr(XXX,YYY)
  readu,4,leg
;
; Read in data and assign data to appropriate arrays
  status=DC_READ_FIXED('prop1.DAT',rows,Format='(.....)',/Column)
  numr=size(rows)
  numberr=numr(1)
  openr,5,'prop1.DAT'
;            Determine maximum radius for polar plot
;
; Set parameters for plotting three functions 
  TEK_COLOR
  openzbuff,480,560
  !P.Font=0 & !P.Charsize=2.0
  !X.Minor=-1 & !Y.Minor=-1 & !X.Ticks=2 & !Y.Ticks=2
  !Y.Margin=[4,4] & !X.Margin=[4,4]
  plot,.......................... , Color=0 ; HIDDEN PLOT SCALES AXES SAME
  oplot,?,?,Color=2
  oplot,?,?,Color=5
  tv,leg,0,0
; Close z-buffer and create "jpeg" image
  closezbuff,'prop1.jpg'
  close,4 & close,5
;--------------------------------------------------------------------------------
  end
